be.ehealth.businessconnector.therlink.domain.requests

## Class BinaryProof

- java.lang.Object
- - be.ehealth.businessconnector.therlink.domain.requests.BinaryProof

- All Implemented Interfaces:
    Serializable

      public class BinaryProof
      extends Object
      implements Serializable

  A Binary proof class
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `BinaryProof(String method, byte[] binary)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(Object obj)`
    `byte[]` | `getBinary()`
    `String` | `getMethod()`
    `int` | `hashCode()`
    `void` | `setBinary(byte[] binary)`
    `void` | `setMethod(String method)`
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### BinaryProof

          public BinaryProof(String method,
                             byte[] binary)

      Parameters:
        `method` -
        `binary` -

  - ### Method Detail

    - #### getMethod

          public String getMethod()

      Returns:
        the method

    - #### setMethod

          public void setMethod(String method)

      Parameters:
        `method` - the method to set

    - #### getBinary

          public byte[] getBinary()

      Returns:
        the binary

    - #### setBinary

          public void setBinary(byte[] binary)

      Parameters:
        `binary` - the binary to set

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### equals

          public boolean equals(Object obj)

      Overrides:
        `equals` in class `Object`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Connector Packaging PERSLOGOPEDIST 4.3.0-beta-3 API
Copyright © {inceptionYear}-2022 eHealth. All Rights Reserved.